Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET outbounds/:id/agents

Ostatnia modyfikacja 2026-05-18 13:56:05
Zwraca listę wszystkich agentów w danej kampanii.

URL

https://your-system-name.thulium.com/api/outbounds/:id/agents

Parametry

id

wymagany

Pięcioznakowy identyfikator kampanii. Przykładowa wartość: 00001

Przykładowy request

GET https://your-system-name.thulium.com/api/outbounds/00001/agents

Przykładowy response

[
    {
        "login": "jkowalski",
        "number": "3113",
        "active": true,
        "active_in_outbound": true,
        "agent_id": 12
    },
    {
        "login": "anowak",
        "number": "3422",
        "active": false,
        "active_in_outbound": false,
        "agent_id": 43
    }
}

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/outbounds/00001/agents');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/outbounds/00001/agents");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/outbounds/00001/agents"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/outbounds/00001/agents Accept:application/json